NETCONFIG(8)

NAME

netconfig presents dialog boxes that ask the system operator for facts about this node's network configuration, such as host name, domain, IP address (or how to get it), router, and name server. It can optionally probe the node for its network card.

SYNOPSIS

/sbin/netconfig

DESCRIPTION

The information requested from the operator includes:

*   hostname,

*   domain name,

*   VLAN,

*   configuration type (static, dynamic, etc.),

*   IPv4 and IPv6 addresses and router addresses,

*   name server, and

*   probe for network card (yes/no).

It summarizes the responses given and confirms with the operator before configuring the node.

The files modified or overwritten, when applicable, are:

*   /etc/HOSTNAME

*   /etc/NetworkManager/NetworkManager.conf

*   /etc/rc.d/rc.inet1.conf

*   /etc/hosts

*   /etc/networks

*   /etc/resolv.conf

*   /etc/rc.netdevice

Plus, it enables /etc/rc.d/rc.networkmanager to run during multiuser startup, again when applicable.

The Slackware boot disk runs netconfig as part of operating system setup, and the system operator can re-run netconfig any time later.

Note that many of the changes made by netconfig take effect only when the system is next rebooted.

OPTIONS

netconfig does not take arguments.

AUTHOR

Mostly written by Patrick Volkerding <volkerdi@slackware.com>.